Bug 4938 - ROMP не открывает видео если в пути есть русские буквы
: ROMP не открывает видео если в пути есть русские буквы
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-21 20:06 MSK by Vladimir Potapov
Modified: 2015-01-23 18:06 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-01-21 20:06:09 MSK
ROMP не открывает видео если в пути есть русские буквы.
Но это ведь все стандартные папки - документы, видео, даже рабочий стол!
Comment 1 Stanislav Fomin 2015-01-22 17:21:32 MSK
Надо проверить как себя mplayer и smplayer
Comment 2 Vladimir Potapov 2015-01-22 17:51:11 MSK
smplayer работает.

romp работает если в строке запуска %U заменить на %f
Comment 3 Stanislav Fomin 2015-01-22 18:01:27 MSK
Мнение такое, что скорее всего LXDE неправильно передает UNC-путь, и надо как-то научить всеядности входных параметров, например 

используя QString QFile::decodeName
или какими-то другими

Урал, можно это быстро и срочно запатчить?

Костя утверждает, что похожую проблему решал в rosa-image-writer, и надо посмотреть код где из файл-диалога получается путь.

Второй вариант — гуглить в сторону бага PCManFm — короче, файлового менеджера LXDE, может поставить им баг, или посмотреть, скорее всего это уже решено и можно притащить патч.
Comment 4 Ural Mullabaev 2015-01-23 12:37:25 MSK
Добавил правильную обработку путей до файлов из параметров командной строки.
Проверьте, пожалуйста:
https://abf.rosalinux.ru/build_lists/2393626
https://abf.rosalinux.ru/build_lists/2393627
Comment 5 Ural Mullabaev 2015-01-23 17:04:43 MSK
Advisory:
Fixed command line argument conversion.
Comment 6 Denis Silakov 2015-01-23 17:24:19 MSK
Advisory:
Fixed command line argument conversion.

Build lists:
https://abf.rosalinux.ru/build_lists/2393626
https://abf.rosalinux.ru/build_lists/2393627
Comment 7 Vladimir Potapov 2015-01-23 17:34:37 MSK
rosa-media-player-1.6.11-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2393626/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2393627/x86_64/main/release/
********************** Advisory ******************
Fixed command line argument conversion.
**************************************************
QA Verified
Comment 8 Andrey Bondrov 2015-01-23 18:06:30 MSK
Also pushed to current.